> ## Documentation Index
> Fetch the complete documentation index at: https://docs.synack.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get vulnerability patch verifications

> Retrieve patch verification requests for a specific vulnerability



## OpenAPI

````yaml /monolith-v1-openapi.yaml get /v1/vulnerabilities/{vulnerability_id}/patch_verifications
openapi: 3.0.3
info:
  title: Synack API
  version: 2.0.0
  description: >
    Comprehensive API for Synack's security testing platform, providing
    endpoints for managing assessments, vulnerabilities, users, and security
    testing operations.
  contact:
    name: Synack Engineering
    email: engineering@synack.com
  license:
    name: Proprietary
servers:
  - url: https://api.synack.com
    description: Commercial - V1 API
  - url: https://api.synack.us
    description: FedRAMP (Medium) - V1 API
security:
  - BearerAuth: []
  - BasicAuth: []
  - ApiKeyAuth: []
tags:
  - name: Assessments
    description: Operations related to security assessments
  - name: Tests
    description: Operations related to security tests
  - name: Vulnerabilities
    description: Operations related to security vulnerabilities
  - name: Suspected Vulnerabilities
    description: Operations related to suspected vulnerabilities
  - name: Comments
    description: Operations related to comments
  - name: Patch Verifications
    description: Operations related to patch verifications
  - name: Users
    description: Operations related to users
  - name: Assessment Groups
    description: Operations related to assessment groups
  - name: Tags
    description: Operations related to tags
  - name: Vulnerability Statuses
    description: Operations related to vulnerability statuses
  - name: Listings
    description: Operations related to listings
paths:
  /v1/vulnerabilities/{vulnerability_id}/patch_verifications:
    get:
      tags:
        - Patch Verifications
      summary: Get vulnerability patch verifications
      description: Retrieve patch verification requests for a specific vulnerability
      operationId: getVulnerabilityPatchVerifications
      parameters:
        - name: vulnerability_id
          in: path
          required: true
          schema:
            type: string
          description: Vulnerability ID
      responses:
        '200':
          description: Patch verifications retrieved successfully
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PatchVerification'
        '404':
          description: Vulnerability not found
components:
  schemas:
    PatchVerification:
      type: object
      properties:
        id:
          type: integer
        message:
          type: string
        status:
          type: string
        created_at:
          type: string
          format: date-time
        user:
          $ref: '#/components/schemas/User'
    User:
      required:
        - assessment_ids
        - banned
        - email
        - id
      type: object
      properties:
        id:
          type: integer
          format: int64
        email:
          type: string
          description: e-mail address of the user
        assessment_ids:
          type: array
          description: IDs of assessments the user has access to
          items:
            type: string
        admin:
          type: boolean
          description: >-
            boolean flag to indicate whether the user has admin privileges (only
            visible to admin
        invite_url:
          type: string
          description: invitation URL (only visible to admins)
        banned:
          type: boolean
          description: boolean flag to indicate whether the user has been banned
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
    BasicAuth:
      type: http
      scheme: basic
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Auth

````